Bug 128789 - Add a way to query for printer drivers
Summary: Add a way to query for printer drivers
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-29 16:19 UTC by John (J5) Palmieri
Modified: 2013-03-13 04:46 UTC (History)
1 user (show)

Fixed In Version: 0.6.105-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 16:07:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John (J5) Palmieri 2004-07-29 16:19:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040625 Epiphany/1.2.6

Description of problem:
match-driver    returns the best match driver for given make and model
                an empty string is returned if no match can be made 
 
                options:
 
                --make=make
                the IEEE 1284 MANUFACTURER string, or the printer
                manufacturer's name as listed in the foomatic database.
                required.
 
                --model=model
                the IEEE 1284 MODEL string, or the printer model as listed
                in the foomatic database.  required.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run printconf-tui match-driver --make=<make> --model=<model>


    

Expected Results:  prints out the printer driver to standard out or an
empty string if no driver matched

Additional info:

Comment 1 Tim Waugh 2004-07-30 12:22:39 UTC
I've got a first attempt at this going.  Do you need this to run a
non-root?  Currently printconf-tui refuses to do anything unless it's
root.

Comment 2 John (J5) Palmieri 2004-07-30 15:23:54 UTC
root is fine.


Note You need to log in before you can comment on or make changes to this bug.